
Katello - Bug #12564

URI does not downcase scheme in Rails 4

11/23/2015 05:12 AM - Daniel Lobato Garcia

Status: Duplicate   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/562
Description

Tests on spec/helpers/katello_url_helper_spec.rb fail on Rails 4, because URI.parse(url).scheme will return scheme without

downcasing it. We can add a fix for this helper in a backwards-compatible manner.

Related issues:

Is duplicate of Katello - Bug #12672: katello_url_helper ruby 2.2.2 compatible Resolved 12/02/2015

History

#1 - 11/23/2015 05:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/5623 added

#2 - 12/21/2015 08:47 AM - Eric Helms

- Status changed from Ready For Testing to Duplicate

- Triaged changed from No to Yes

#3 - 12/21/2015 08:47 AM - Eric Helms

- Is duplicate of Bug #12672: katello_url_helper ruby 2.2.2 compatible added

#4 - 07/08/2016 11:24 AM - Eric Helms

- translation missing: en.field_release set to 166
